clang-tools 10.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::clangd::IgnoreDiagnostics Class Reference

`#include <Compiler.h>`

Inheritance diagram for clang::clangd::IgnoreDiagnostics:
[legend]
Collaboration diagram for clang::clangd::IgnoreDiagnostics:
[legend]

## Public Member Functions
void | HandleDiagnostic (DiagnosticsEngine::Level DiagLevel, const clang::Diagnostic &Info) override
Public Member Functions inherited from clang::clangd::DiagnosticsConsumer
virtual | ~DiagnosticsConsumer ()=default
virtual void | onDiagnosticsReady (PathRef File, std::vector< Diag > Diagnostics)=0
| Called by ClangdServer when `Diagnostics` for `File` are ready. More...
virtual void | onFileUpdated (PathRef File, const TUStatus &Status)
| Called whenever the file status is updated. More...
virtual void | onHighlightingsReady (PathRef File, std::vector< HighlightingToken > Highlightings)
| Called by ClangdServer when some `Highlightings` for `File` are ready. More...

## Static Public Member Functions
static void | log (DiagnosticsEngine::Level DiagLevel, const clang::Diagnostic &Info)

## Detailed Description

Definition at line 28 of file Compiler.h.

## Member Function Documentation

## ◆ HandleDiagnostic()

void clang::clangd::IgnoreDiagnostics::HandleDiagnostic | ( | DiagnosticsEngine::Level | DiagLevel,
|  | const clang::Diagnostic & | Info
| ) |  |
| override

Definition at line 38 of file Compiler.cpp.

References log().

## ◆ log()

void clang::clangd::IgnoreDiagnostics::log | ( | DiagnosticsEngine::Level | DiagLevel,
|  | const clang::Diagnostic & | Info
| ) |  |
| static

Definition at line 20 of file Compiler.cpp.

References clang::tidy::modernize::Message.

Referenced by clang::clangd::buildCompilerInvocation(), HandleDiagnostic(), and clang::clangd::StoreDiags::HandleDiagnostic().

The documentation for this class was generated from the following files:

- Compiler.h
- Compiler.cpp